# Binalyzer Core

This repository implements Binalyzer's core features. Functionality that is not
central to Binalyzer's concept is added through its extension mechanism.

Core Features:

* Template Engine
* Template Providers
* Template Transformations
* Data Binding System
* Data Providers
* Value Providers
* Extension Mechanism

The core features are part of the overall [Binalyzer] project and come with its
installation.

[Binalyzer]: https://github.com/denisvasilik/binalyzer

## Installation

Binalyzer is published on [PyPI] and can be installed from there:

```sh
~$ pip3 install --upgrade binalyzer
```

If you wish to install [Binalyzer] for development purposes, refer to [the
developer's guide].

[PyPI]: https://pypi.org/project/Binalyzer/
[Binalyzer]: https://pypi.org/project/Binalyzer/
[the developer's guide]: DEVELOPMENT.md

## Documentation

Documentation is available from [binalyzer.readthedocs.io].

[binalyzer.readthedocs.io]: https://binalyzer.readthedocs.io/en/latest/

## Get in touch

- Report bugs, suggest features or view the source code [on GitHub].
- For contributions refer to [the contributor's guide].

[on GitHub]: https://github.com/denisvasilik/binalyzer
[the contributor's guide]: CONTRIBUTING.md

# License

Licensed under the MIT license ([LICENSE-MIT] or http://opensource.org/licenses/MIT).

[LICENSE-MIT]: LICENSE.rst